<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: FBSDKSendButton Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="interface_f_b_s_d_k_send_button-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">FBSDKSendButton Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_f_b_s_d_k_send_button_8h_source.html">FBSDKSendButton.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for FBSDKSendButton:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_f_b_s_d_k_send_button.png" usemap="#FBSDKSendButton_map" alt=""/>
  <map id="FBSDKSendButton_map" name="FBSDKSendButton_map">
<area href="interface_f_b_s_d_k_button.html" alt="FBSDKButton" shape="rect" coords="0,56,146,80"/>
<area href="protocol_f_b_s_d_k_sharing_button-p.html" alt="&lt;FBSDKSharingButton&gt;" shape="rect" coords="156,56,302,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header properties_protocol_f_b_s_d_k_sharing_button-p"><td colspan="2" onclick="javascript:toggleInherit('properties_protocol_f_b_s_d_k_sharing_button-p')"><img src="closed.png" alt="-"/>&#160;Properties inherited from <a class="el" href="protocol_f_b_s_d_k_sharing_button-p.html">&lt;FBSDKSharingButton&gt;</a></td></tr>
<tr class="memitem:a065e0c554fc3c324e3c065ed46c1c6cb inherit properties_protocol_f_b_s_d_k_sharing_button-p"><td class="memItemLeft" align="right" valign="top">id&lt; <a class="el" href="protocol_f_b_s_d_k_sharing_content-p.html">FBSDKSharingContent</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="protocol_f_b_s_d_k_sharing_button-p.html#a065e0c554fc3c324e3c065ed46c1c6cb">shareContent</a></td></tr>
<tr class="separator:a065e0c554fc3c324e3c065ed46c1c6cb inherit properties_protocol_f_b_s_d_k_sharing_button-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A button to send content through Messenger.</p>
<p>Tapping the receiver will invoke the <a class="el" href="interface_f_b_s_d_k_share_dialog.html">FBSDKShareDialog</a> with the attached shareContent. If the dialog cannot be shown, the button will be disable. </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_f_b_s_d_k_send_button_8h_source.html">FBSDKSendButton.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
